Summary:            FC-HBAAPI implementation using scsi_transport_fc interfaces
Name:               libhbalinux
Version:            3.11
Release:            7%{?dist}
License:            LGPLv2
URL:                https://github.com/cleech/libhbalinux
Source0:            https://github.com/cleech/libhbalinux/releases/tag/v%{version}.tar.gz
Patch0001:          0001-libhbalinux-support-sport-speeds-up-to-40-Gbit.patch
Patch3000:          libhbalinux-1.0.13-conf.patch
Patch3001:          libhbalinux-fix-non-pci-netdev.patch
BuildRequires:      libhbaapi-devel >= 2.2.9-6  libpciaccess-devel systemd-devel
BuildRequires:      libtool automake make
Requires:           libhbaapi >= 2.2.9-6
Requires(post):     grep
Requires(postun):   grep

%description
HBAAPI stands for Host Bus Adapter API (Applications Programming Interface).
It is a C-level shared library to manage Fibre Channel Host Bus Adapters.

%package devel
Summary:            A file needed for libhbalinux application development
Requires:           libhbalinux = %{version}-%{release}  pkgconfig

%description devel
The libhbalinux-devel package contains the library pkgconfig file.

%prep
%autosetup -p1

%build
./bootstrap.sh
%configure --disable-static
%make_build

%install
%make_install
find %{buildroot} -name '*.la' -delete

%post
ORG=org.open-fcoe.libhbalinux
LIB=%{_libdir}/libhbalinux.so.2.0.2
STR="$ORG	$LIB"
CONF=%{_sysconfdir}/hba.conf
if test -f $CONF; then
  grep -E -q ^[[:space:]]*$ORG[[:space:]]+$LIB $CONF
  if test $? -ne 0; then
    echo $STR >> $CONF;
  fi
fi

%postun
ORG=org.open-fcoe.libhbalinux
CONF=%{_sysconfdir}/hba.conf
if test -f $CONF; then
  grep -v $ORG $CONF > %{_sysconfdir}/hba.conf.new
  mv %{_sysconfdir}/hba.conf.new %{_sysconfdir}/hba.conf
fi

%files
%license  COPYING
%doc  README
%{_libdir}/%{name}.so.*

%files devel
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/%{name}.so

%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-7
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-6
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-5
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.11-2
- rebuild for ocs

* Wed Jul 27 2022 Feng Weiyao <wynnfeng@tencent.com> - 3.11-1
- package init.
